<html xmlns="http://www.w3.org/1999/xhtml">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"  "http://www.w3.org/TR/html4/loose.dtd">
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
  <link rel="stylesheet" type="text/css" media="screen" href="{{STYLE_NAME}}.css">
</head>
  
<body class="full_detail_page">
{{#SCHEMATA}}
{{#COLUMNS}}
  <a name="Column_{{SCHEMA_ID}}_{{COLUMN_ID}}">
    <div class="table_header">Column {{COLUMN_NAME:h}}</div>
  </a>
  <div class="table_body">
    <div class="subitem_header">General Info</div>
    <table class="subitems_table" border="0" cellpadding="2" cellspacing="0" width="100%">
       <colgroup>
          <col width="20%" />
          <col width="*" />
       </colgroup>
      <tr>
        <td class="details-property-name">Schema Name</td>
        <td class="details-property-value">{{SCHEMA_NAME:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Table Name</td>
        <td class="details-property-value">{{TABLE_NAME:h}}</td>
      </tr>
       <tr>
        <td class="details-property-name">Key Part</td>
        <td class="details-property-value">{{COLUMN_KEY_PART:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Nullable</td>
        <td class="details-property-value">{{COLUMN_NULLABLE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Default Value</td>
        <td class="details-property-value">{{COLUMN_DEFAULTVALUE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Auto Increment</td>
        <td class="details-property-value">{{COLUMN_AUTO_INC:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Character Set</td>
        <td class="details-property-value">{{COLUMN_CHARSET:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Collation Name</td>
        <td class="details-property-value">{{COLUMN_COLLATION:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Comment</td>
        <td class="details-property-value">{{COLUMN_COMMENT:h}}</td>
      </tr>
    </table>
    
    <div class="subitem_header">Data Type Details</div>
    <table class="subitems_table" border="0" cellpadding="2" cellspacing="0" width="100%">
       <colgroup>
          <col width="20%" />
          <col width="*" />
       </colgroup>
      <tr>
        <td class="details-property-name">Datatype</td>
        <td class="details-property-value">{{COLUMN_DATATYPE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Is User Type</td>
        <td class="details-property-value">{{COLUMN_IS_USERTYPE:h}}</td>
      </tr>
    </table>
    </div>
    <br />
{{/COLUMNS}}

{{#INDICES}}
  <a name="Index_{{SCHEMA_ID}}_{{INDEX_ID}}" />
    <div class="table_header">Index {{INDEX_NAME:h}}</div>
  </a>
 <div class="table_body">
   <div class="subitem_header">General Info</div>
   <table class="subitems_table" border="0" cellpadding="2" cellspacing="0" width="100%">
       <colgroup>
          <col width="25%" />
          <col width="*" />
       </colgroup>
      <tr>
        <td class="details-property-name">Schema Name</td>
        <td class="details-property-value">{{SCHEMA_NAME:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Table Name</td>
        <td class="details-property-value">{{TABLE_NAME:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Is Primary Key</td>
        <td class="details-property-value">{{INDEX_PRIMARY:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Is Unique</td>
        <td class="details-property-value">{{INDEX_UNIQUE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Type</td>
        <td class="details-property-value">{{INDEX_TYPE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Kind</td>
        <td class="details-property-value">{{INDEX_KIND:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Key Block Size</td>
        <td class="details-property-value">{{INDEX_KEY_BLOCK_SIZE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Comment</td>
        <td class="details-property-value">{{INDEX_COMMENT:h}}</td>
      </tr>
    </table>
    
    <div class="subitem_header">Columns</div>
    <table class="subitems_table" border="0" cellpadding="2" cellspacing="0" width="100%">
      <tr>
        <td class="subitem_table_head">Column Name</td>
        <td class="subitem_table_head">Column Order</td>
        <td class="subitem_table_head">Comment</td>
      </tr>
  {{#INDEX_COLUMNS}}
      <tr>
        <td class="subitem_table_field">{{INDEX_COLUMN_NAME:h}}</td>
        <td class="subitem_table_field">{{INDEX_COLUMN_ORDER:h}}</td>
        <td class="subitem_table_field">{{INDEX_COLUMN_COMMENT:h}}</td>
      </tr>
  {{/INDEX_COLUMNS}}
    </table>
  </div>
  <br />
{{/INDICES}}

{{#FOREIGN_KEYS}}
  <a name="FK_{{SCHEMA_ID}}_{{FOREIGN_KEY_ID}}" />
    <div class="table_header">Foreign Key {{REL_NAME:h}}</div>
  </a>
  <div class="table_body">
    <div class="subitem_header">General Info</div>
    <table class="subitems_table" border="0" cellpadding="2" cellspacing="0" width="100%">
       <colgroup>
          <col width="25%" />
          <col width="*" />
       </colgroup>
      <tr>
        <td class="details-property-name">Parent Table</td>
        <td class="details-property-value">{{REL_PARENTTABLE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Child Table</td>
        <td class="details-property-value">{{REL_CHILDTABLE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Cardinality</td>
        <td class="details-property-value">{{REL_CARD:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Delete Rule</td>
        <td class="details-property-value">{{FK_DELETE_RULE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Update Rule</td>
        <td class="details-property-value">{{FK_UPDATE_RULE:h}}</td>
      </tr>
      <tr>
        <td class="details-property-name">Is Mandatory</td>
        <td class="details-property-value">{{FK_MANDATORY:h}}</td>
      </tr>
    </table>
    </div>
  <br />
{{/FOREIGN_KEYS}}
{{/SCHEMATA}}
</body>
</html>
